VismaBouwsoftAPICalls.v1_GET_Crews Method
v1_GET_Crews() as String

This API call is used to get fields of a(n) Crew(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Crews/
or
API Path: /Crews/{id}
or
API Path: /Crews/FieldInfo/

You can make this API call:
* without the key field id to get a list of Crews
* with the key field id as the path parameter (the specific id of the Crew you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
nr 2 tpString 0 No No No
note 2 tpString 0 No No No
photo 2 tpString 0 No No No
description 2 tpString 0 No No No
crew_list 2 tpString 0 No No No
crew_group 2 tpString 0 No No No
employee_id 1 tpLong 0 No No No
employee_name 2 tpString 0 No No No
employee_job_id 1 tpLong 0 No No No
employee_job_name 2 tpString 0 No No No
responsible 5 tpBool 0 No No No
responsible_id 1 tpLong 0 No No No

/Crews/

API Path: /Crews/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Crews

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UGVfWxfkflzSfjIbAtzRqtrjfOVfIOIVjGUtzUOOltrGtImVjr
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–26/27”, “Records”: [
  {
    "id": 20,
    "nr": "Equipe 8",
    "note": "",
    "photo": "",
    "description": "Planning",
    "crew_list": "ALGEMEEN",
    "crew_group": "alg alg1",
    "employee_id": 54,
    "employee_name": "Bert MeteenE",
    "employee_job_id": 0,
    "employee_job_name": "",
    "responsible": false,
    "responsible_id": 308
  },
  {
    "id": 50,
    "nr": "Equipe 8",
    "note": "",
    "photo": "",
    "description": "Planning",
    "crew_list": "ALGEMEEN",
    "crew_group": "alg alg1",
    "employee_id": 308,
    "employee_name": "De Prest Brian",
    "employee_job_id": 0,
    "employee_job_name": "",
    "responsible": true,
    "responsible_id": 308
  }
,

]
}

/Crews/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Crews/18

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OfjfWxfkOVzSfrVfIfzRqGftfmbVGfjIfbVbzDfUAGrfAtVGAP

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 18,
    "nr": "A7",
    "note": "",
    "photo": "",
    "description": "TeamAndy",
    "crew_list": "ANDY’S TEAMS",
    "crew_group": "",
    "employee_id": 11,
    "employee_name": "Ost Tim",
    "employee_job_id": 0,
    "employee_job_name": "",
    "responsible": true,
    "responsible_id": 11
  }
]
}

/Crews/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Crews/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "nr",
    "type_id": 2,
    "type_name": "tpString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "note",
    "type_id": 2,
    "type_name": "tpString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]